.wedding-showcase {
  padding: 0px 5% 30px;
  background: #fff;
  text-align: center;
}

.gallery-row {
  display: grid;
  flex-wrap: wrap;
  justify-content: center;
  gap: 25px;
  grid-template-columns: repeat(3, 1fr);
  margin-top:30px;
}

.gallery-card {
  flex: 1 1 30%;
}

.gallery-card img {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  box-shadow: 0px 5px 15px rgba(0,0,0,0.15);
  transition: transform 0.3s ease;
}

.gallery-card img:hover {
  transform: scale(1.03);
}

.caption {
  margin-top: 10px;
  font-size: 14px;
  color: #333;
  font-family: 'Poppins', sans-serif;
}
@media (max-width: 767px) {
  .gallery-row {
    grid-template-columns: repeat(1, 1fr);
    gap: 50px;
  }

  .gallery-card {
    max-width: 100%;
  }
}